/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package CustomerAccountMgmt.CustomerAccountTrans;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval
 * @alias CustomerAccountTransaction
 */
public class CustomerAccTrans {
    public void makeCustomerAccountTransaction() {
    }

    public void addDetail() {
    }

    public BigDecimal calcTotal() {
        if (total.intValue() == 0) {
            recalcTotal();
        }
        return total;
    }

    public BigDecimal recalcTotal() {
        // calc total then set total attribute
        return total;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public static Vector listCustomerAccountTransactions() {
        return new Vector();
    }

    public static BigDecimal calcAvgCustomerAccountTransaction() {
        return new BigDecimal(0);
    }

    private Date dateTime;
    private BigDecimal total;

    /**
     *@shapeType AggregationLink
     *     @associates <b>CustomerAccountMgmt.CustomerAccountTrans.CustomerAccTransDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed;
    private int status;

    /** @supplierCardinality 1 */
    private IMakeCustomerAccountTrans lnkUnnamed1;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..1
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed2;
}


